ru.bitel.bgbilling.kernel.contract.param.server.bean

## Class ContractParameterPrefDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<ContractParameterPref>
      - - ru.bitel.bgbilling.kernel.contract.param.server.bean.ContractParameterPrefDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

  Deprecated.
  use `ContractParameterGroupAttr` and `ContractParameterService` or `ContractParameterGroupAttrDao`

      @Deprecated
      public class ContractParameterPrefDao
      extends ru.bitel.common.dao.AbstractIdDao<ContractParameterPref>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractParameterPrefDao(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ContractParameterPref>` | `getAllContractParameterPrefList()` Deprecated. Получить все списки параметров
    `java.util.List<IdTitle>` | `getContractParameterPrefIdTitleList(int paramTypeId)` Deprecated. Получить список IdTitle( id - код ParameterPrefId ) по типу параметра.
    `java.util.List<ContractParameterPref>` | `getContractParameterPrefList(ContractParameterPrefType prefEnum)` Deprecated.
    `java.util.List<ContractParameterPref>` | `getContractParameterPrefList(java.util.Set<java.lang.Integer> ids)` Deprecated.
    `java.util.Map<java.lang.Integer,java.util.List<IdTitle>>` | `getContractParameterPrefMapByType()` Deprecated.
    `protected ContractParameterPref` | `getFromRS(java.sql.ResultSet rs)` Deprecated.
    `void` | `moveParam(int id, boolean up)` Deprecated. сдвиг параметра false - вниз, true - вверх
    `protected void` | `updateImpl(ContractParameterPref pref)` Deprecated.
    `void` | `updateSortPosition(java.util.List<ContractParameterPref> list)` Deprecated. Обновление поля sort для всего листа

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractParameterPrefDao

          public ContractParameterPrefDao(java.sql.Connection con)

      Deprecated.

  - ### Method Detail

    - #### getContractParameterPrefList

          public java.util.List<ContractParameterPref> getContractParameterPrefList(ContractParameterPrefType prefEnum)
                                                                             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Parameters:
        `prefEnum` - - элемент перечесления типа параметров договора
      Returns:
        - список настроек параметров договоров определенного типа, если prefEnum == TYPE_UNKNOWN, то все параметры
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractParameterPrefList

          public java.util.List<ContractParameterPref> getContractParameterPrefList(java.util.Set<java.lang.Integer> ids)
                                                                             throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Parameters:
        `ids` - - set коды типов параметров.
      Returns:
        - список настроек параметров договоров коды которых соодержаться в ids, если ids == null, то все типы параметров.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractParameterPrefIdTitleList

          public java.util.List<IdTitle> getContractParameterPrefIdTitleList(int paramTypeId)
                                                                      throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Получить список IdTitle( id - код ParameterPrefId ) по типу параметра.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAllContractParameterPrefList

          public java.util.List<ContractParameterPref> getAllContractParameterPrefList()
                                                                                throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Получить все списки параметров
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moveParam

          public void moveParam(int id,
                                boolean up)
                         throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      сдвиг параметра false - вниз, true - вверх
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateSortPosition

          public void updateSortPosition(java.util.List<ContractParameterPref> list)
                                  throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Обновление поля sort для всего листа
      Parameters:
        `list` - с изменнёными параметрами sort
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractParameterPrefMapByType

          public java.util.Map<java.lang.Integer,java.util.List<IdTitle>> getContractParameterPrefMapByType()
                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected ContractParameterPref getFromRS(java.sql.ResultSet rs)
                                             throws java.sql.SQLException,
                                                    ru.bitel.bgbilling.common.BGException

      Deprecated.
      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractParameterPref>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ContractParameterPref pref)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Deprecated.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractParameterPref>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`